package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 上班时间配置对象 duty_schedule
 * 
 * @author ruoyi
 * @date 2024-08-07
 */
public class DutySchedule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long dutyId;

    /** 上班时间 */
    @Excel(name = "上班时间")
    private String startWorkTime;

    /** 下班时间 */
    @Excel(name = "下班时间")
    private String endWorkTime;

    public void setDutyId(Long dutyId) 
    {
        this.dutyId = dutyId;
    }

    public Long getDutyId() 
    {
        return dutyId;
    }
    public void setStartWorkTime(String startWorkTime) 
    {
        this.startWorkTime = startWorkTime;
    }

    public String getStartWorkTime() 
    {
        return startWorkTime;
    }
    public void setEndWorkTime(String endWorkTime) 
    {
        this.endWorkTime = endWorkTime;
    }

    public String getEndWorkTime() 
    {
        return endWorkTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dutyId", getDutyId())
            .append("startWorkTime", getStartWorkTime())
            .append("endWorkTime", getEndWorkTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
